'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _evergreenColors = require('evergreen-colors');

var _evergreenColors2 = _interopRequireDefault(_evergreenColors);

var _uiBox = require('ui-box');

var _uiBox2 = _interopRequireDefault(_uiBox);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var IconColors = {
  default: _evergreenColors2.default.neutral['200A'],
  disabled: _evergreenColors2.default.neutral['50A'],
  muted: _evergreenColors2.default.neutral['60A'],
  selected: _evergreenColors2.default.blue['500'],
  white: _evergreenColors2.default.white['500']
};

var IconAim = {
  none: null,
  top: '0deg',
  up: '0deg',
  right: '90deg',
  bottom: '180deg',
  down: '180deg',
  left: '270deg'
};

var Icon = function (_PureComponent) {
  _inherits(Icon, _PureComponent);

  function Icon() {
    _classCallCheck(this, Icon);

    return _possibleConstructorReturn(this, (Icon.__proto__ || Object.getPrototypeOf(Icon)).apply(this, arguments));
  }

  _createClass(Icon, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          aim = _props.aim,
          transform = _props.transform,
          size = _props.size,
          iconSize = _props.iconSize,
          children = _props.children,
          colorProp = _props.color,
          props = _objectWithoutProperties(_props, ['aim', 'transform', 'size', 'iconSize', 'children', 'color']);

      var color = colorProp;
      if (Object.prototype.hasOwnProperty.call(IconColors, color)) {
        color = IconColors[color];
      }

      var totalTransform = transform || '';
      if (aim) {
        totalTransform = (totalTransform + ' rotate(' + IconAim[aim] + ')').trim();
      }

      return _react2.default.createElement(
        _uiBox2.default,
        _extends({ transform: totalTransform, height: size, width: size }, props),
        _react2.default.createElement(
          _uiBox2.default,
          {
            is: 'span',
            width: iconSize,
            height: iconSize,
            display: 'inline-flex',
            alignItems: 'center',
            justifyContent: 'center',
            color: color
          },
          children
        )
      );
    }
  }]);

  return Icon;
}(_react.PureComponent);

Icon.propTypes = _extends({}, _uiBox2.default.propTypes, {
  aim: _propTypes2.default.oneOf(Object.keys(IconAim)).isRequired,
  size: _propTypes2.default.number,
  iconSize: _propTypes2.default.number
});
Icon.defaultProps = {
  color: 'default',
  aim: 'none',
  is: 'span',
  display: 'inline-flex',
  alignItems: 'center',
  justifyContent: 'center',
  size: 32,
  iconSize: 16
};
exports.default = Icon;